wiki:ru/doc/buildAndInstall/req
Last modified 8 years ago Last modified on 01/30/10 17:05:28

Программы и библиотеки, требуемые для сборки

НазваниеНазвание бинарного пакетаОписание
glibcglibc-headersОсновная GNU-библиотека Си
gccgccGNU-компилятор Си
makemakeУтилита для контроля сборки исполняемых файлов и библиотек
autoconfautoconfНабор скриптов и M4-макросов для автоматического конфигурирования исходных текстов перед началом сборки
automakeautomakeУтилита для автоматического создания Makefile
libtoollibtoolУтилита-помощник для создания библиотечного кода
glib >= 2.8 glib2-dev (deb)
glib2-devel (rpm)
Многоплатформенная библиотека с набором реализаций основных алгоритмов
pcre pcre-dev (deb)
pcre-devel (rpm)
Библиотека реализации PERL-совместимых регулярных выражений. Необходима только если glib < 2.14
slangslang2-dev (deb)
slang2-devel (rpm)
Мощная многоплатформенная библиотека, позволяющая работать с текстовой консолью. Библиотека может быть заменена на NCurses
ncursesncurses-dev (deb)
ncurses-devel (rpm)
Библиотека для работы с текстовой консолью. Библиотека может быть заменена на S-Lang2
gettext gettext
gettext-dev (deb)
gettext-devel (rpm)
Поддержка многоязычности в проекте
cvscvs Система контроля версий файлов (необходима для утилиты autopoint из пакета gettext)
pkgconfigpkgconfigУтилита для автоматического конфигурирования библиотек и программ на использование других библиотек и программ